This is the multi-page printable view of this section. Click here to print.
ShowDataOpsServiceSubVersion
1 - 1.2
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsServiceImageResponseV1Dot2 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"apiserver": "",
"dagprocessor": "",
"scheduler": "",
"webserver": "",
"worker": ""
}
}
2 - 1.1
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsServiceImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"scheduler": "",
"webserver": "",
"worker": ""
}
}
3 - 1.0
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsServiceImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"scheduler": "",
"webserver": "",
"worker": ""
}
}